﻿Type=Class
Version=3.71
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private mqtt As MqttClient
	Private status As String
End Sub

Public Sub Initialize
	mqtt.Initialize("mqtt", "tcp://127.0.0.1:51044", "desktop")
	mqtt.Connect
	status = "Trying to connect."
	ShowIp
End Sub

Private Sub mqtt_Connected (Success As Boolean)
	If (Success) Then
		status = "Connected"
		mqtt.Subscribe("desktop", 0)
	Else
		status = "Failed to connect"
	End If
	ShowIp
End Sub

Public Sub ShowIp
	Main.ShowNotification("MQTT connector", status, False)	
End Sub

Private Sub mqtt_MessageArrived (Topic As String, Payload() As Byte)
	Main.Handler.HandleCommand(Payload)
End Sub

Private Sub mqtt_Disconnected
	status = "Disconnected."
	ShowIp
End Sub