﻿Type=Class
Version=3.71
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private sockServer As ServerSocket
	Private const port As Int = 54323
	Private astream As AsyncStreams
End Sub

Public Sub Initialize
	sockServer.Initialize(port, "SockServer")
	sockServer.Listen
	ShowIp
End Sub

Public Sub ShowIp
	If astream.IsInitialized Then
		Main.ShowNotification("TCP connector","TCP is connected", False)
	Else
		Main.ShowNotification("TCP connector", $"IP address: ${sockServer.GetMyIP}
Waiting for TCP connection.
Make sure that the following port is open in the firewall (TCP): ${port}"$, False)
	End If
End Sub

Private Sub SockServer_NewConnection (Successful As Boolean, NewSocket As Socket)
	If Successful Then
		If astream.IsInitialized Then astream.Close
		astream.InitializePrefix(NewSocket.InputStream, False, NewSocket.OutputStream, "astream")
		Main.ShowNotification("TCP connector", "Connected", False)
	End If
	sockServer.Listen
End Sub

Private Sub astream_NewData (Buffer() As Byte)
	Main.Handler.HandleCommand(Buffer)
End Sub

Private Sub astream_Terminated
	Main.ShowNotification("TCP connector", "Disconnected", True)
	astream.Close
End Sub

Private Sub astream_Error
	astream_Terminated
End Sub